POST/projects/api/v3/workflows.json

Create a new workflow.

Creates a new workflow.

Body Params

Request contains information of a workflow to be created or updated.

    • Name
      workflow
      Type
      object
      Description
      Workflow contains all the information returned from a workflow.
    • Name
      workflowOptions
      Type
      object

    Responses

    • Code
      201
      Type
      object
      Schema
      Description
      201 Created
      Response contains information about a specific workflow.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    201 Created

    Response
    {  "included": {    "ProjectPermissions": {      "additionalProp": {        "active": true,        "addExpenses": true,        "addFiles": true,        "addForms": true,        "addLinks": true,        "addMessages": true,        "addMilestones": true,        "addNotebooks": true,        "addProjectUpdate": true,        "addRisks": true,        "addTaskLists": true,        "addTasks": true,        "addTime": true,        "canAccess": true,